import 'package:msg/src/cmd.dart';

typedef Update<Model> = Model Function(Model current);
typedef CmdFun<Model> = Cmd<Model> Function(Model current);

abstract class Msg<Model> {
  final Update<Model>? update;
  final CmdFun<Model>? cmd;

  Msg({this.update, this.cmd});
}